
%global meadversion 1.0.2
%global namedversion 1.0.2.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package installation-manager-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.2.Final-redhat-00001

Name:           %{?scl_prefix}installation-manager-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        WildFly Installation Manager API
Group:          Development/Java

%if %with mead
Source100: installation-manager-api-1.0.2.Final-redhat-00001-project-sources.tar.gz
Source102: installation-manager-api-1.0.2.Final-redhat-00001.jar
Source103: installation-manager-api-1.0.2.Final-redhat-00001-sources.jar
Source104: installation-manager-api-1.0.2.Final-redhat-00001.pom
Source105: pme-bom-1.0.2.Final-redhat-00001.pom
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly-extras/wildfly-installation-manager-api
Provides:       %{?scl_prefix}installation-manager-api = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
This project is the API for installation manager integration in WildFly.

%if %with javadoc
%package javadoc
Summary:        Javadoc for installation-manager-api
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n installation-manager-api-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/installation-manager-api-%{namedversion}.jar %{buildroot}%{_javadir}/installation-manager-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/installation-manager-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/installation-manager-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/installation-manager-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/installation-manager-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

# javadoc
%if %with javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/installation-manager-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/installation-manager-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/installation-manager-api-%{namedversion} -x META-INF/\*
%{__ln_s} installation-manager-api-%{namedversion} %{buildroot}%{_javadocdir}/installation-manager-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README.md
%{_javadir}/installation-manager-api-%{namedversion}.jar
%{_javadir}/installation-manager-api.jar
%if %with javadoc
%{_javadir}/installation-manager-api-%{namedversion}-javadoc.jar
%{_javadir}/installation-manager-api-javadoc.jar
%endif
%{_javadir}/installation-manager-api-%{namedversion}-sources.jar
%{_javadir}/installation-manager-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%doc LICENSE.md
%{_javadocdir}/installation-manager-api-%{namedversion}
%{_javadocdir}/installation-manager-api
%endif

%changelog
* Tue Oct 24 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.0.2-1.Final_redhat_00001.1
- Built by CPaaS

* Fri Jul 14 2023 Yong Yang <yyang@redhat.com> - 1.0.1-1.Final_redhat_00001.1
- Init build
